Subject: Postgres 7.3.4 errors
From: "Judd" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 24 Jan 2004 11:43:12 -0700

I'm trying to start postgres.  I built a data directory:  e.g. mkdir
/usr/local/pgsql/data
I just want to get the database initialized and the postmaster going.  I run
the command:
initdb -D /usr/local/pgsql/data

here's what I get from the command:
-------------------------------
The files belonging to this database system will be owned by user
"Administrator
".
This user must also own the server process.

The database cluster will be initialized with locale C.

Fixing permissions on existing directory /usr/local/pgsql/data... ok
creating directory /usr/local/pgsql/data/base... ok
creating directory /usr/local/pgsql/data/global... ok
creating directory /usr/local/pgsql/data/pg_xlog... ok
creating directory /usr/local/pgsql/data/pg_clog... ok
creating template1 database in /usr/local/pgsql/data/base/1...
IpcSemaphoreCreat
e: semget(key=1, num=17, 03600) failed: Function not implemented

initdb failed.
--------------------------

Does anybody know how to fix or get past this?  Do I just need to rebuild it
or something?

Thank You
Judd

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/